Results 1 to 4 of 4

Thread: Gnome Sushi not working

  1. #1

    Default Gnome Sushi not working

    Dunno what's happened here. It was fine the other day. Running openSUSE 12.1 Gnome 3.2 64 bit. From a terminal -

    Code:
    kinzie@linux:~> sushi
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
    
    ** (sushi-start:7214): WARNING **: Unable to parse viewer font.js: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
    
    ** (sushi-start:7214): WARNING **: Unable to parse viewer html.js: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
    
    ** (sushi-start:7214): WARNING **: Unable to parse viewer audio.js: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
    
    ** (sushi-start:7214): WARNING **: Unable to parse viewer gst.js: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
    
    ** (sushi-start:7214): WARNING **: Unable to parse viewer folder.js: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
    
    ** (sushi-start:7214): WARNING **: Unable to parse viewer image.js: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
    I have re-installed the package several times but it hasn't had any effect and it still doesn't work. Any ideas? Thanks all.

  2. #2

    Default Re: Gnome Sushi not working

    Code:
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
    
    ** (sushi-start:7214): WARNING **: Unable to parse viewer text.js: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
    
    ** (sushi-start:7214): WARNING **: Unable to parse viewer evince.js: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
        JS ERROR: !!!   Exception was: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
        JS ERROR: !!!     lineNumber = '0'
        JS ERROR: !!!     fileName = '"gjs_throw"'
        JS ERROR: !!!     stack = '"("Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found")@gjs_throw:0
    @/usr/share/sushi/js/ui/fallbackRenderer.js:29
    "'
        JS ERROR: !!!     message = '"Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found"'
    
    ** ERROR **: Failed to load main javascript: Error: Requiring Sushi, version none: Typelib file for namespace 'GstTag', version '0.10' not found
    /usr/bin/sushi: line 15:  7214 Trace/breakpoint trap   /usr/lib/sushi-start
    Second part of the output. The forum wouldn't let me paste it all in in one go.

  3. #3

    Default Re: Gnome Sushi not working

    Try installing typelib-1_0-GstInterfaces-0_10 and let us know the outcome

  4. #4

    Default Re: Gnome Sushi not working

    Quote Originally Posted by pasaporte View Post
    Try installing typelib-1_0-GstInterfaces-0_10 and let us know the outcome
    Many apologies for the lateness of my reply.

    Just wanted to post up and say thank you, as this solved the issue no problem.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •